<?php

class MageBinary_BinaryPay_Block_Adminhtml_Customer_Edit_Tabs extends Mage_Adminhtml_Block_Customer_Edit_Tabs
{
    protected function _beforeToHtml()
    {
        if (Mage::registry('current_customer')->getId() &&
            Mage::getModel('magebinary_binarypay/directpost')->getPaymentMethodConfig('active')||
            Mage::getModel('magebinary_binarypay/webpayment')->getPaymentMethodConfig('active')){

            $this->addTab(
                'paymark_directpost_credit_cards',
                array(
                    'label'     => Mage::helper('customer')->__('Credit Cards'),
                    'content'   => $this->getLayout()->createBlock('magebinary_binarypay/adminhtml_customer_edit_tab_creditcards')->toHtml()
                )
            );
        }

        if (Mage::registry('current_customer')->getId() && Mage::getModel('magebinary_binarypay/onlineeftpos')->getPaymentMethodConfig('active')) {
            $this->addTab(
                'paymark_oe_mobiles',
                array(
                    'label'     => Mage::helper('customer')->__('Mobiles'),
                    'content'   => $this->getLayout()->createBlock('magebinary_binarypay/adminhtml_customer_edit_tab_mobiles')->toHtml()
                )
            );
        }

        return parent::_beforeToHtml();
    }

}