<?php
class MageBinary_BinaryPay_Model_System_Config_Latitudepay_Terms
{

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => '6', 'label'=>Mage::helper('adminhtml')->__('6 months')),
            array('value' => '12', 'label'=>Mage::helper('adminhtml')->__('12 months')),
            array('value' => '18', 'label' => Mage::helper('adminhtml')->__('18 months')),
            array('value' => '24', 'label' => Mage::helper('adminhtml')->__('24 months')),
        );
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray()
    {
        return array(
            'LPAY' => Mage::helper('adminhtml')->__('LatitudePay'),
            'LPAYPLUS' => Mage::helper('adminhtml')->__('LatitudePay+'),
            'LPAY,LPAYPLUS' => Mage::helper('adminhtml')->__('Co-Presentment')
        );
    }

}