<?php
class MageBinary_BinaryPay_Model_System_Config_Source_Env
{

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => 'development', 'label'=>Mage::helper('adminhtml')->__('Development')),
            array('value' => 'sandbox', 'label'=>Mage::helper('adminhtml')->__('SandBox')),
            array('value' => 'production', 'label' => Mage::helper('adminhtml')->__('Production')),
        );
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray()
    {
        return array(
            'development' => Mage::helper('adminhtml')->__('Development'),
            'sandbox' => Mage::helper('adminhtml')->__('SandBox'),
            'production' => Mage::helper('adminhtml')->__('Production')
        );
    }

}